Bug 255486 - net/kamailio: Update to 5.4.5 and tls crash fix
Summary: net/kamailio: Update to 5.4.5 and tls crash fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kevin Bowling
URL: https://www.kamailio.org/pub/kamailio...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-04-29 15:00 UTC by Dmitry Wagin
Modified: 2021-06-14 23:12 UTC (History)
5 users (show)

See Also:
dmitry.wagin: maintainer-feedback+
kbowling: merge-quarterly+


Attachments
kamailio.diff (1.13 KB, patch)
2021-04-29 15:00 UTC, Dmitry Wagin
dmitry.wagin: maintainer-approval+
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Nathan Whitehorn freebsd_committer 2021-05-05 22:10:53 UTC
Thanks for fixing the TLS problem! I think 5.5.0 is out now also.
Comment 2 Dmitry Wagin 2021-05-06 11:28:10 UTC
(In reply to Nathan Whitehorn from comment #1)

I will update to version 5.5.0 after testing (1-2 week).
Comment 3 Boris Korzun 2021-05-17 11:28:38 UTC
It's great TLS fix, thx. Need commit it.

P.S. 5.5.0 version needs more thoroughly tests as a major.
Comment 4 Boris Korzun 2021-05-26 11:17:31 UTC
What about the commit?

P.S. 5.5.0 is still unstable for adding to Ports (ex. https://github.com/kamailio/kamailio/pull/2744 and other small fixes).
Comment 5 Dmitry Wagin 2021-06-01 08:57:25 UTC
ping
Comment 6 Nathan Whitehorn freebsd_committer 2021-06-07 20:20:39 UTC
I'm happy to commit this, but would need a ports approval.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2021-06-08 00:21:04 UTC
Can this entire version update be merged to quarterly (is it bugfix only)? If not, separate patches for the crash fix and version update would be great so the former can be merged, without merging the latter.

Also can we have the 'why' for the following change, so it can be included in the commit log message:

MAKE_ARGS+=	LIBSSL_SET_MUTEX_SHARED=1
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2021-06-08 00:22:15 UTC
Comment on attachment 224527 [details]
kamailio.diff

If it passes, and pending QA (poudriere, and answer to separate bugfix/version patches)

Reviewed by: koobs (ports)
Approved by: koobs (ports)
MFH: <branch>|No (<reason>)
Comment 9 Dmitry Wagin 2021-06-08 14:25:38 UTC
Generally minor version update (5.4.5) is a bug fix update. It's preferred, this entire version update to be merged to quarterly. But major version update (5.5.x) can will be merged to HEAD (outside the PR) only after testing.

For commit message:
Also fixed crash in CRYPTO_THREAD_lock_free() (enabled pthread_mutex_init() fix by LIBSSL_SET_MUTEX_SHARED flag, https://github.com/kamailio/kamailio/issues/2638#issuecomment-829318965 )

The diff was tested by poudriere locally.
Comment 10 commit-hook freebsd_committer 2021-06-14 23:09:30 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=92942c572274e4abc6b7da7adfa1be08864d856f

commit 92942c572274e4abc6b7da7adfa1be08864d856f
Author:     Dmitry Wagin <dmitry.wagin@ya.ru>
AuthorDate: 2021-06-14 23:05:36 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-14 23:08:31 +0000

    net/kamailio: Update to 5.4.5 and tls crash fix

    fixed crash in CRYPTO_THREAD_lock_free():
    (enabled pthread_mutex_init() fix by LIBSSL_SET_MUTEX_SHARED flag
    https://github.com/kamailio/kamailio/issues/2638#issuecomment-829318965)

    Changes https://www.kamailio.org/pub/kamailio/5.4.5/ChangeLog

    PR:             255486
    Reviewed by:    koobs
    Approved by:    maintainer
    MFH:            2021Q2

 net/kamailio/Makefile | 3 ++-
 net/kamailio/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 4 deletions(-)
Comment 11 commit-hook freebsd_committer 2021-06-14 23:11:32 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=33d54bf0ca859f092335737c5cbb35724be828fc

commit 33d54bf0ca859f092335737c5cbb35724be828fc
Author:     Dmitry Wagin <dmitry.wagin@ya.ru>
AuthorDate: 2021-06-14 23:05:36 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-14 23:10:13 +0000

    net/kamailio: Update to 5.4.5 and tls crash fix

    fixed crash in CRYPTO_THREAD_lock_free():
    (enabled pthread_mutex_init() fix by LIBSSL_SET_MUTEX_SHARED flag
    https://github.com/kamailio/kamailio/issues/2638#issuecomment-829318965)

    Changes https://www.kamailio.org/pub/kamailio/5.4.5/ChangeLog

    PR:             255486
    Reviewed by:    koobs
    Approved by:    maintainer
    MFH:            2021Q2

    (cherry picked from commit 92942c572274e4abc6b7da7adfa1be08864d856f)

 net/kamailio/Makefile | 3 ++-
 net/kamailio/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 4 deletions(-)
Comment 12 Kevin Bowling freebsd_committer 2021-06-14 23:12:46 UTC
Thanks for your contribution!